Get all pricing
https://api.propexo.com/v1/listings/pricingAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external listing id
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the listing
The Propexo unique identifier for the property
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the listing.
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the listing
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
a1b2c3d4e5f678901234567890abcdef1234567890abcdef1234567890abcdThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
5138016The external ID of the listing from the integration vendor
This field will always be null for REALPAGE
nullThe base rent cost of the listing, in cents
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
308600The amount of the concession for the listing, in cents
This field will always be null for REALPAGE
nullThe amount of the effective rent for the listing, in cents
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
308600The start date associated with the unit price
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
2026-05-13T00:00:00.000ZThe end date associated with the unit price
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
2027-05-12T00:00:00.000ZThe start date of the availability to query
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
2023-03-30T00:00:00.000ZThe amount of months for the lease term
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
12nullThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the listing
This field will always be null for REALPAGE
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTREALPAGEErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/listings/pricing \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "a1b2c3d4e5f678901234567890abcdef1234567890abcdef1234567890abcd",
"x_property_id": "5138016",
"x_listing_id": null,
"base_rent_in_cents": 308600,
"concession_in_cents": null,
"effective_rent_in_cents": 308600,
"start_date": "2026-05-13T00:00:00.000Z",
"end_date": "2027-05-12T00:00:00.000Z",
"available_date": "2023-03-30T00:00:00.000Z",
"lease_term_in_months": 12,
"custom_data": null,
"property_id": "clwi5xiix000008l6ctdgafyh",
"listing_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE"
}
]
}